@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
}

.contact {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: #ffffff;
  flex-direction: column;
  margin-top: 50px;
}

.contact h2 {
  font-size: 40px;
  color: #000000;
  text-align: center;
  margin-bottom: 10px;
}

.contact form {
  width: 600px;
  text-align: center;
}

form .input-box {
  display: flex;
  justify-content: space-between;
}

.input-box .input-field {
  width: 48.5%;
}

.field .item {
  width: 100%;
  padding: 18px;
  background: transparent;
  border: 2px solid rgb(0, 0, 0);
  outline: none;
  border-radius: 6px;
  font-size: 16px;
  color: #000000;
  margin: 12px 0;
}

.field.error .item {
  border-color: #d93025;
}

.field .item::placeholder {
  color: rgba(0, 0, 0, 0.3);
}

.field .error-txt {
  font-size: 14.5px;
  color: #d93025;
  text-align: left;
  margin: -5px 0 10px;
  display: none;
}

.field.error .error-txt {
  display: block;
}

form .textarea-field .item {
  resize: none;
}

form .textarea-field .error-txt {
  margin-top: -10px;
}

form button {
  padding: 12px 32px;
  background: #0ef;
  border: none;
  outline: none;
  border-radius: 6px;
  box-shadow: 0 0 10px #0ef;
  font-size: 16px;
  color: #333;
  letter-spacing: 1px;
  font-weight: 600;
  cursor: pointer;
  margin-top: 20px;
  transition: 0.5s;
}

form button:hover {
  box-shadow: none;
}

@media (max-width: 620px) {
  .contact form {
    width: 460px;
    text-align: center;
  }

  form .input-box {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .input-box .input-field {
    width: 100%;
  }
}
@media (max-width: 450px) {
  .contact {
    margin-top: -25px;
  }

  .contact form {
    width: 400px;
    text-align: center;
  }

  form .input-box {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .input-box .input-field {
    width: 100%;
  }
}

@media (max-width: 415px) {
  .contact {
    margin-top: 25px;
  }

  .contact form {
    width: 370px;
    text-align: center;
  }

  form .input-box {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .input-box .input-field {
    width: 100%;
  }
}

@media (max-width: 360px) {
  .contact form {
    width: 290px;
    text-align: center;
  }

  form .input-box {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .input-box .input-field {
    width: 100%;
  }
}

@media (max-width: 280px) {
  .contact {
    margin-top: 25px;
  }

  .contact form {
    width: 250px;
    text-align: center;
  }

  form .input-box {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .input-box .input-field {
    width: 100%;
  }
}
